/*
	File:		PPCToolboxKeychain.r

	Contains:	'aete' for 'osax' for creating PPC Toolbox keys in the keychain.

	Written by:	Quinn "The Eskimo!"

	Copyright:	Copyright  2000 by Apple Computer, Inc., All Rights Reserved.

	Disclaimer:	IMPORTANT:  This Apple software is supplied to you by Apple Computer, Inc.
				("Apple") in consideration of your agreement to the following terms, and your
				use, installation, modification or redistribution of this Apple software
				constitutes acceptance of these terms.  If you do not agree with these terms,
				please do not use, install, modify or redistribute this Apple software.

				In consideration of your agreement to abide by the following terms, and subject
				to these terms, Apple grants you a personal, non-exclusive license, under Apples
				copyrights in this original Apple software (the "Apple Software"), to use,
				reproduce, modify and redistribute the Apple Software, with or without
				modifications, in source and/or binary forms; provided that if you redistribute
				the Apple Software in its entirety and without modifications, you must retain
				this notice and the following text and disclaimers in all such redistributions of
				the Apple Software.  Neither the name, trademarks, service marks or logos of
				Apple Computer, Inc. may be used to endorse or promote products derived from the
				Apple Software without specific prior written permission from Apple.  Except as
				expressly stated in this notice, no other rights or licenses, express or implied,
				are granted by Apple herein, including but not limited to any patent rights that
				may be infringed by your derivative works or by other works in which the Apple
				Software may be incorporated.

				The Apple Software is provided by Apple on an "AS IS" basis.  APPLE MAKES NO
				WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED
				WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
				PURPOSE, REGARDING THE APPLE SOFTWARE OR ITS USE AND OPERATION ALONE OR IN
				COMBINATION WITH YOUR PRODUCTS.

				IN NO EVENT SHALL APPLE BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL OR
				CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
				GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
				ARISING IN ANY WAY OUT OF THE USE, REPRODUCTION, MODIFICATION AND/OR DISTRIBUTION
				OF THE APPLE SOFTWARE, HOWEVER CAUSED AND WHETHER UNDER THEORY OF CONTRACT, TORT
				(INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN IF APPLE HAS BEEN
				ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

	Change History (most recent first):

*/

/////////////////////////////////////////////////////////////////

// Mac OS Interfaces

#include <AEUserTermTypes.r>
#include <AERegistry.r>

// Apple Event Constants

#include "PPCToolboxKeychain.h"

/////////////////////////////////////////////////////////////////

// bless program linking key	
//		name <string>			
// 		address <string>

resource kAETerminologyExtension (0) {
	0,
	0,
	english,
	roman,
	{
		// Suite
		
		"Program Linking Keychain Suite",
		"Events to workaround bugs in Keychain Scripting",
		kBlessKeySuiteID,
		1,					// suite level
		1,					// suite version
		{
			// "bless program linking key" event
			
			"bless program linking key",
			"Modify a generic key so that it is recognized by program linking",
			kBlessKeyClassID,
			kBlessKeyEventID,
			noReply,
			"",
			replyOptional, singleItem, notEnumerated, notTightBindingFunction,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			verbEvent,
			reserved, reserved, reserved,
			noDirectParam,
			"",
			directParamOptional, singleItem, notEnumerated, changesState,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			{	// parameters

				"name",
				keyAEName,
				typeText,
				"the generic key to bless as a program linking key",
				required, singleItem, notEnumerated,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				prepositionParam, notFeminine, notMasculine, singular,
				
				"address",
				kAEISClientAddress,
				typeText,
				"the URL of the target machine (eppc://dns.name or eppc:/at/machine:zone",
				required, singleItem, notEnumerated,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				prepositionParam, notFeminine, notMasculine, singular
			},
		},
		{	/* array Classes: 0 elements */
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		},
	}
};
